#!/bin/env python3

# Environment holds constants
# and sets gi to right version to whole project
import environment

from gi.repository import Gtk
from gi.repository.Gio import File, FileMonitorFlags
from signal import signal, SIGINT

from app import IndicatorPlaces
from environment import BOOKMARKS_PATH


if __name__ == "__main__":
    # Catch CTRL-C
    signal(SIGINT, lambda signal, frame: Gtk.main_quit())

    # Run the indicator
    i = IndicatorPlaces()

    # Monitor bookmarks changes
    file = File.new_for_path(BOOKMARKS_PATH)
    monitor = file.monitor_file(FileMonitorFlags.NONE, None)
    monitor.connect("changed", i.on_bookmarks_changed)

    # Monitor if reboot needed
    file2 = File.new_for_path("/var/run/reboot-required")
    monitor2 = file2.monitor_file(FileMonitorFlags.NONE, None)
    monitor2.connect("changed", i.handle_reboot)

    # Main gtk loop
    Gtk.main()
